Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  package async
  Definition Classes
    transform
-  trait AsyncTransformStates extends TypingTransformers
  Definition Classes
    async
- AsyncTransformState
- ThicketTransformer
- TypingTransformer

c

scala.tools.nsc.transform.async.AsyncTransformStates

# AsyncTransformState

###

#### class AsyncTransformState extends AnyRef

Source
  AsyncTransformStates.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AsyncTransformState
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new AsyncTransformState(awaitSymbol: Global.Symbol, postAnfTransform: (Global.Block) => Global.Block, dotDiagram: (Global.Symbol, Global.Tree) => Option[(String) => Unit], typingTransformer: AsyncTransformStates.TypingTransformer, applyTrParam: Global.Symbol, asyncType: Global.Type, asyncNames: AsyncNames[global.type])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from AsyncTransformState toany2stringadd[AsyncTransformState] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (AsyncTransformState, B)
   Implicit
     This member is added by an implicit conversion from AsyncTransformState toArrowAssoc[AsyncTransformState] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  lazy val Async_await: Global.Symbol
7.  val applySym: Global.Symbol
8.  val applyTr: Global.Symbol
9.  val applyTrParam: Global.Symbol
10.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
11.  val asyncNames: AsyncNames[global.type]
12.  val asyncType: Global.Type
13.  val awaitSymbol: Global.Symbol
14.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
15.  var currentPos: Global.Position
16.  val dotDiagram: (Global.Symbol, Global.Tree) => Option[(String) => Unit]
17.  def ensuring(cond: (AsyncTransformState) => Boolean, msg: => Any): AsyncTransformState
    Implicit
      This member is added by an implicit conversion from AsyncTransformState toEnsuring[AsyncTransformState] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  def ensuring(cond: (AsyncTransformState) => Boolean): AsyncTransformState
    Implicit
      This member is added by an implicit conversion from AsyncTransformState toEnsuring[AsyncTransformState] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
19.  def ensuring(cond: Boolean, msg: => Any): AsyncTransformState
    Implicit
      This member is added by an implicit conversion from AsyncTransformState toEnsuring[AsyncTransformState] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
20.  def ensuring(cond: Boolean): AsyncTransformState
    Implicit
      This member is added by an implicit conversion from AsyncTransformState toEnsuring[AsyncTransformState] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
21.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
23.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
24.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from AsyncTransformState toStringFormat[AsyncTransformState] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
25.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
26.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
27.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
28.  val labelDefStates: Map[Global.Symbol, Int]
29.  val localTyper: (analyzer)#Typer
30.  def memberRef(sym: Global.Symbol): Global.Tree
31.  val name: AsyncName
32.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
33.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
34.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
35.  val postAnfTransform: (Global.Block) => Global.Block
36.  val stateAssigner: StateAssigner
37.  lazy val stateCompleteFailure: Global.Symbol
38.  lazy val stateCompleteSuccess: Global.Symbol
39.  lazy val stateGetCompleted: Global.Symbol
40.  lazy val stateGetter: Global.Symbol
41.  lazy val stateMachineClass: Global.Symbol
42.  def stateMachineMember(name: Global.TermName): Global.Symbol
43.  lazy val stateOnComplete: Global.Symbol
44.  lazy val stateSetter: Global.Symbol
45.  lazy val stateTryGet: Global.Symbol
46.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
47.  def toString(): String
    Definition Classes
      AnyRef → Any
48.  val typingTransformer: AsyncTransformStates.TypingTransformer
49.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
50.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
51.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
52.  lazy val whileLabel: Global.Symbol

### Deprecated Value Members

1.  def →[B](y: B): (AsyncTransformState, B)
   Implicit
     This member is added by an implicit conversion from AsyncTransformState toArrowAssoc[AsyncTransformState] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromAsyncTransformState to any2stringadd[AsyncTransformState]

### Inherited by implicit conversion StringFormat fromAsyncTransformState to StringFormat[AsyncTransformState]

### Inherited by implicit conversion Ensuring fromAsyncTransformState to Ensuring[AsyncTransformState]

### Inherited by implicit conversion ArrowAssoc fromAsyncTransformState to ArrowAssoc[AsyncTransformState]

### Ungrouped